Package org.eclipse.birt.report.model.api

# Class MemberHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.ValueHandle
org.eclipse.birt.report.model.api.SimpleValueHandle
org.eclipse.birt.report.model.api.MemberHandle

public class MemberHandle extends SimpleValueHandle
A handle to a member of a property structure. A structure list occurs in an element property that contains a list of structures. The class handles a member of one structure in the list.

See Also:
  - `StructureHandle`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.eclipse.birt.report.model.core.StructureContext`
`memberContext`
The context to the member itself.

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`MemberHandle(StructureHandle structHandle, org.eclipse.birt.report.model.metadata.StructPropertyDefn member)`
Constructs a member handle with the given structure handle and the member property definition.

## Method Summary

Modifier and Type
Method
Description
`void`
`addItem(Object item)`
Adds an item to the end of a list property.
`org.eclipse.birt.report.model.core.StructureContext`
`getContext()`
Returns the structure context to the value.
`IPropertyDefn`
`getDefn()`
Gets the generic property definition.
`IElementPropertyDefn`
`getPropertyDefn()`
Gets the property definition.
`protected Object`
`getRawValue()`
Gets the value stored in the memory directly.
`boolean`
`isReadOnly()`
Checks whether a value is read-only in the property sheet.
`boolean`
`isVisible()`
Checks whether a value is visible in the property sheet.
`void`
`removeItem(int posn)`
Removes an item from a list property or member.
`void`
`setValue(Object value)`
Sets the value of a property or member to the object given.

### Methods inherited from class org.eclipse.birt.report.model.api.SimpleValueHandle

`addItem, clearValue, get, getAt, getChoices, getDefaultUnit, getDisplayValue, getFloatValue, getIntValue, getItems, getListValue, getNumberValue, getStringValue, getTypeCode, getValue, indexOf, insertItem, isList, iterator, moveItem, removeItem, removeItems, replaceItem, setFloatValue, setIntValue, setNumberValue, setStringValue`

### Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle

`getReference`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### memberContext

protected org.eclipse.birt.report.model.core.StructureContext memberContext
The context to the member itself.

## Constructor Details

### MemberHandle

public MemberHandle(StructureHandle structHandle, org.eclipse.birt.report.model.metadata.StructPropertyDefn member)
Constructs a member handle with the given structure handle and the member property definition. This form is used by the `StructureIterator` class.

Parameters:
  `structHandle` - a handle to the structure
  `member` - definition of the member within the structure

## Method Details

### getDefn

public IPropertyDefn getDefn()
Description copied from class: `SimpleValueHandle`
Gets the generic property definition. Its a property definition for an element or a member definition for a structure.

Specified by:
  `getDefn` in class `SimpleValueHandle`
Returns:
  the value definition.

### getRawValue

protected Object getRawValue()
Description copied from class: `SimpleValueHandle`
Gets the value stored in the memory directly. The returned value won't be done any conversion.

Specified by:
  `getRawValue` in class `SimpleValueHandle`
Returns:
  the value stored in the memory

### setValue

public void setValue(Object value) throws SemanticException
Description copied from class: `SimpleValueHandle`
Sets the value of a property or member to the object given. If the object is `null`, then the value is cleared.

Specified by:
  `setValue` in class `SimpleValueHandle`
Parameters:
  `value` - The new value.
Throws:
  `SemanticException` - If the value is not valid for the property or member.
See Also:
  - `SimpleValueHandle.setIntValue(int)`
  - `SimpleValueHandle.setStringValue(java.lang.String)`
  - `SimpleValueHandle.setFloatValue(double)`
  - `SimpleValueHandle.setNumberValue(java.math.BigDecimal)`
  - `SimpleValueHandle.clearValue()`

### removeItem

public void removeItem(int posn) throws PropertyValueException
Description copied from class: `SimpleValueHandle`
Removes an item from a list property or member. The handle must be working on a list property or member.

Specified by:
  `removeItem` in class `SimpleValueHandle`
Parameters:
  `posn` - The position of the item to remove.
Throws:
  `PropertyValueException` - If the property is not a list property.

### addItem

public void addItem(Object item) throws SemanticException
Description copied from class: `SimpleValueHandle`
Adds an item to the end of a list property. The handle must be working on a list property.

Specified by:
  `addItem` in class `SimpleValueHandle`
Parameters:
  `item` - The new item to add.
Throws:
  `SemanticException` - If the property is not a list property, or if the the value of the item is incorrect.

### getPropertyDefn

public IElementPropertyDefn getPropertyDefn()
Description copied from class: `ValueHandle`
Gets the property definition. This is the definition of the property that contains the specific value. If the value is a structure or member, then this is the definition of the property that contains the list that contains the structure that contains the member.

Specified by:
  `getPropertyDefn` in class `ValueHandle`
Returns:
  the property definition

### getContext

public org.eclipse.birt.report.model.core.StructureContext getContext()
Description copied from class: `ValueHandle`
Returns the structure context to the value. The context is used to identify a list entry or member.

Specified by:
  `getContext` in class `ValueHandle`

### isReadOnly

public boolean isReadOnly()
Description copied from class: `SimpleValueHandle`
Checks whether a value is read-only in the property sheet.

Specified by:
  `isReadOnly` in class `SimpleValueHandle`
Returns:
  `true` if it is read-only. Otherwise `false`.

### isVisible

public boolean isVisible()
Description copied from class: `SimpleValueHandle`
Checks whether a value is visible in the property sheet.

Specified by:
  `isVisible` in class `SimpleValueHandle`
Returns:
  `true` if it is visible. Otherwise `false`.